package cz.jzitnik.game.entities.items.registry.blocks.work;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.reducefalldamage.BedFallDamageReducer;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import static cz.jzitnik.game.sprites.Bed.BedState;
import cz.jzitnik.game.blocks.Bed;

@MineSound(SoundKey.WOOD_DIG)
@PlaceSound(SoundKey.WOOD_DIG)
@MiningSound(SoundKey.WOOD_MINING)
@WalkSound(SoundKey.WOOD_WALKING)
@ReduceFallDamage(BedFallDamageReducer.class)
@BlockRegistry("bed")
public class BedBlock extends Block {
    public BedBlock() {
        super("bed", SpriteLoader.SPRITES.BED, 2);
        setGhost(true);
        setSpriteState(BedState.RIGHT);
        setData(new Bed());
    }
}
